com.corticon.rulesemf.asg

## Interface Token

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Token
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Token'.

  The following features are supported:

  - `Text`
  - `Tokentype`
  See Also:
    `AsgPackage.getToken()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Returns the value of the 'Text' attribute
    `java.lang.String` | `getTokentype()` Returns the value of the 'Tokentype' attribute
    `void` | `setText(java.lang.String value)` Sets the value of the '`Text`' attribute
    `void` | `setTokentype(java.lang.String value)` Sets the value of the '`Tokentype`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getText

          java.lang.String getText()

      Returns the value of the 'Text' attribute.

      If the meaning of the 'Text' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text' attribute.
      See Also:
        `setText(String)`, `AsgPackage.getToken_Text()`

    - #### setText

          void setText(java.lang.String value)

      Sets the value of the '`Text`' attribute.
      Parameters:
        `value` - the new value of the 'Text' attribute.
      See Also:
        `getText()`

    - #### getTokentype

          java.lang.String getTokentype()

      Returns the value of the 'Tokentype' attribute.

      If the meaning of the 'Tokentype' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Tokentype' attribute.
      See Also:
        `setTokentype(String)`, `AsgPackage.getToken_Tokentype()`

    - #### setTokentype

          void setTokentype(java.lang.String value)

      Sets the value of the '`Tokentype`' attribute.
      Parameters:
        `value` - the new value of the 'Tokentype' attribute.
      See Also:
        `getTokentype()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.